package com.ssj.service.kmt.exercisesys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 13:10 2020/5/21
 * @Modified By
 */
public class ExerciseTeacherSalaryReq extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @NotBlank
    @ApiModelProperty(name = "teacherId", value = "老师id", required = true)
    private String teacherId;

    @NotBlank
    @ApiModelProperty(name = "exerciseBookId", value = "练习册id", required = true)
    private String exerciseBookId;

    @ApiModelProperty(name = "type", value = "类型, 1加工，2审核，3解析加工，4解析审核", required = true)
    private int type;

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getExerciseBookId() {
        return exerciseBookId;
    }

    public void setExerciseBookId(String exerciseBookId) {
        this.exerciseBookId = exerciseBookId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }
}
